import { p as push, e as ensure_array_like, c as pop, d as stringify } from './index2-CaKlVrm8.js';
import { s as supportedFormats } from './supportedFormats-DgxuDFwo.js';
import { e as escape_html } from './escaping-CqgfEcN3.js';

function r(e){var t,f,n="";if("string"==typeof e||"number"==typeof e)n+=e;else if("object"==typeof e)if(Array.isArray(e)){var o=e.length;for(t=0;t<o;t++)e[t]&&(f=r(e[t]))&&(n&&(n+=" "),n+=f);}else for(f in e)e[f]&&(n&&(n+=" "),n+=f);return n}function clsx$1(){for(var e,t,f=0,n="",o=arguments.length;f<o;f++)(e=arguments[f])&&(t=r(e))&&(n&&(n+=" "),n+=t);return n}

const replacements = {
  translate: /* @__PURE__ */ new Map([
    [true, "yes"],
    [false, "no"]
  ])
};
function attr(name, value, is_boolean = false) {
  if (value == null || !value && is_boolean || value === "" && name === "class") return "";
  const normalized = name in replacements && replacements[name].get(value) || value;
  const assignment = is_boolean ? "" : `="${escape_html(normalized, true)}"`;
  return ` ${name}${assignment}`;
}
function clsx(value) {
  if (typeof value === "object") {
    return clsx$1(value);
  } else {
    return value ?? "";
  }
}
function Loader($$payload) {
  $$payload.out += `<div class="backdrop-blur-xs bg-black/20 absolute inset-0 z-10 flex items-center justify-center" id="spinner"><div class="w-[150px]"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 200 200"><linearGradient id="a3"><stop offset="0" stop-color="#FF156D" stop-opacity="0"></stop><stop offset="1" stop-color="#FF156D"></stop></linearGradient><circle fill="none" stroke="url(#a3)" stroke-width="15" stroke-linecap="round" stroke-dasharray="0 44 0 44 0 44 0 44 0 360" cx="100" cy="100" r="70" transform-origin="center"><animateTransform type="rotate" attributeName="transform" calcMode="discrete" dur="2" values="360;324;288;252;216;180;144;108;72;36" repeatCount="indefinite"></animateTransform></circle></svg></div></div>`;
}
function _page($$payload, $$props) {
  push();
  let source = "youtube";
  let link = "";
  let href = "";
  let metadata = true;
  let downloading = false;
  const formats = Object.keys(supportedFormats).map((f) => {
    return { value: f, label: f.toUpperCase() };
  });
  const each_array = ensure_array_like(formats);
  $$payload.out += `<div id="wrapper" class="relative mx-auto rounded-lg bg-black p-6 text-[#00ff7f] shadow-lg sm:max-w-sm sm:border-4 sm:border-[#00ff7f] md:mt-10 md:max-w-md lg:max-w-lg 2xl:max-w-2xl svelte-mw57it"><div id="loader"${attr("class", clsx([{ downloading }]) + " svelte-mw57it")}>`;
  Loader($$payload);
  $$payload.out += `<!----></div> <button class="absolute top-3 right-3 text-[#ff007f] transition hover:text-[#ff3399] svelte-mw57it" aria-label="Open Info Modal"><svg xmlns="http://www.w3.org/2000/svg" fill="currentColor" class="h-6 w-6 svelte-mw57it" viewBox="0 0 24 24"><path d="M12 0C5.373 0 0 5.373 0 12c0 6.627 5.373 12 12 12s12-5.373 12-12C24 5.373 18.627 0 12 0zm.75 18h-1.5v-6h1.5v6zm0-8h-1.5V8h1.5v2z" class="svelte-mw57it"></path></svg></button> <h3 id="title" class="mb-6 text-center text-[#00e5ff] svelte-mw57it">🐙 Scaricatore 🐙</h3> <form class="space-y-6 svelte-mw57it"><fieldset class="space-y-4 svelte-mw57it"><legend class="text-[#00e5ff] svelte-mw57it">Choose Source:</legend> <label class="flex items-center space-x-3 svelte-mw57it"><input type="radio" name="source" value="youtube"${attr("checked", source === "youtube", true)} class="retro-radio svelte-mw57it"> <span class="svelte-mw57it">YouTube</span></label> <label class="flex items-center space-x-3 svelte-mw57it"><input disabled type="radio" name="source" value="spotify"${attr("checked", source === "spotify", true)} class="retro-radio svelte-mw57it"> <span class="not-available svelte-mw57it">Spotify</span></label> <label class="flex items-center space-x-3 svelte-mw57it"><input type="radio" name="source" value="other"${attr("checked", source === "other", true)} class="retro-radio svelte-mw57it"> <span class="svelte-mw57it">Other</span></label></fieldset> <div class="svelte-mw57it"><label for="link" class="mb-2 block text-[#00e5ff] svelte-mw57it">Enter Playlist or Video Link:</label> <input name="link" type="url" id="link"${attr("value", link)} required placeholder="Paste your link here" class="w-full rounded-lg border-4 border-[#00ff7f] bg-[#001a00] px-4 py-3 text-[#00ff7f] focus:border-[#ff3399] focus:outline-none svelte-mw57it"></div> <div class="svelte-mw57it"><label for="format" class="mb-2 block text-[#00e5ff] svelte-mw57it">Choose Format:</label> <select id="format" name="format" class="w-full rounded-lg border-4 border-[#00ff7f] bg-[#001a00] px-4 py-3 text-[#00ff7f] focus:border-[#ff3399] focus:outline-none svelte-mw57it"><!--[-->`;
  for (let $$index = 0, $$length = each_array.length; $$index < $$length; $$index++) {
    let format = each_array[$$index];
    $$payload.out += `<option${attr("value", format.value)} class="svelte-mw57it">${escape_html(format.label)}</option>`;
  }
  $$payload.out += `<!--]--></select></div> <div class="svelte-mw57it"><label for="metadata" class="mb-2 block text-[#00e5ff] svelte-mw57it">Filename</label> <input type="checkbox" id="metadata" name="metadata"${attr("checked", metadata, true)} class="rounded-lg border-4 border-[#00ff7f] bg-[#001a00] px-4 py-3 text-[#00ff7f] focus:border-[#ff3399] focus:outline-none svelte-mw57it"></div> <a id="btn-download"${attr("href", href)}${attr("class", `${stringify("disabled")} block w-full rounded-lg border-4 border-[#ff3399] bg-[#ff007f] px-4 py-3 text-center text-4xl text-black transition hover:bg-[#ff3399] active:border-yellow-500 svelte-mw57it`)}>DOWNLOAD</a></form></div> `;
  {
    $$payload.out += "<!--[!-->";
  }
  $$payload.out += `<!--]-->`;
  pop();
}

export { _page as default };
//# sourceMappingURL=_page.svelte-BoDInmo1.js.map
